tapestry-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Thiago H de Paula Figueiredo" <thiag...@gmail.com>
Subject Re: [jira] [Commented] (TAP5-2214) Make tapestry5 java8 compatible
Date Thu, 02 Jan 2014 20:31:09 GMT
> Ulrich Stärk commented on TAP5-2214:
> ------------------------------------
>
> Ah, I see. Howard, is there a reason why we do not have an external  
> dependency on asm but are instead copying it into our sources directly?

Howard? :) I guess it was to avoid collisions with other libraries which  
may use a different version of ASM.

By the way, I'm running into some weird exceptions which seem to be caused  
by ASM, so it would be nice to upgrade it as soon as possible.

>
> Uli
>
>> Make tapestry5 java8 compatible
>> -------------------------------
>>
>>                 Key: TAP5-2214
>>                 URL: https://issues.apache.org/jira/browse/TAP5-2214
>>             Project: Tapestry 5
>>          Issue Type: Improvement
>>          Components: plastic
>>    Affects Versions: 5.4
>>            Reporter: Joachim Van der Auwera
>>            Assignee: Howard M. Lewis Ship
>>         Attachments: 0001-use-asm-5.0_BETA-for-java8.patch,  
>> 0002-TAP5-2214-use-ASM-5.0_BETA-for-java8-compatibility.patch
>>
>>
>> As it stands Tapestry does not work on java8. This seems to be caused  
>> by ASM. Updating the enclosed asm to 5.0_Bet seems to do the trick.
>
>
>
> --
> This message was sent by Atlassian JIRA
> (v6.1#6144)


-- 
Thiago H. de Paula Figueiredo
Tapestry, Java and Hibernate consultant and developer
http://machina.com.br

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tapestry.apache.org
For additional commands, e-mail: dev-help@tapestry.apache.org


Mime
View raw message